Skip to Content
0

Reg: Enabling Fiori transactional app without HANA DB

Jan 17, 2017 at 06:44 AM

169

avatar image

Dear All,

I have a doubt regarding enabling Fiori transactional apps for one of the system landscape (as we are not using HANA DB). We have a Central Hub Deployment model where Front-end server is installed with gateway services activated and Back-end server with business suite installed on it. I want to understand if Fiori transactional apps can be enabled for existing system.

Front-end server components:

  • SAP_BASIS - 740 SP12
  • SAP NetWeaver components - 7.4 SP12
  • UI FOR EHP7 FOR SAP ERP 6.0
  • UI FOR SAP ACCESS CONTROL - 10.1

Back-end server components:

  • SAP_BASIS - 701 SP3
  • SAP_APPL - 604 SP 0003
  • SAP ERP 2005 release
  • EHP4 FOR ERP 6.0_NW701
  • I do not see any netweaver component installed on it

Reference used for checking minimum system requirements: Link

Can you please help me with the below doubts:

  1. Do we need netweaver component installed on back-end server?
  2. SAP_BASIS component 701 (on Back-end) will work with Fiori or we need 731 for enabling Fiori?

Thanks,

Pavan

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

1 Answer

Best Answer
Masayuki Sekihara
Jan 17, 2017 at 08:44 AM
1

Hi Pavan,

It depends on the app.

Please go to the SAP Fiori Apps Reference Library. It gives you required technical information.

Regards,

Masa / SAP Technology RIG

Show 3 Share
10 |10000 characters needed characters left characters exceeded

Hi Masayuki,

I understand that factsheets and Analytics app cannot be enabled without Hana DB. (which we do not have). So now remains the Transactional apps. At a architecture level, can you please let me know if we can go ahead with enabling few Transactional apps with the current back-end setup? (Back-end details given in the query)

Let us take one app for example as you suggested: Track Sales Order App

Back-end requirements is shown as below

Back-End Components (ABAP)List View Product VersionFIORI ERP APPLICATIONS X1 1.0
SAP Fiori principal apps 1.0 for SAP ERP Support Package StackSoftware Component VersionSRA018 600 - SP 0003Prerequisite for installationFIORI ERP APPLICATIONS X1 1.0 - SPS 01 (02/2014)
is an Add On to
EHP2 FOR SAP ERP 6.0 - SPS 05 (02/2009) or
EHP3 FOR SAP ERP 6.0 - SPS 05 (08/2009) or
EHP4 FOR SAP ERP 6.0 - SPS 05 (11/2009) or
EHP4 FOR SAP ERP 6.0 / NW7.01 - SPS 05 (11/2009) or
EHP5 FOR SAP ERP 6.0 - SPS 03 (12/2010) or
EHP6 FOR SAP ERP 6.0 - SPS 01 (11/2011) or
EHP7 FOR SAP ERP 6.0 - SPS 01 (08/2013) or
SAP ERP 6.0 - SPS 15 (02/2009)

Can we go ahead to use the mentioned app with our current back-end? (Provided we install

FIORI ERP APPLICATIONS X1). Is there any other component that we would need in our backend system?

Regards,

Pavan

0

Hi Pavan,

Yes. You can go ahead.

Regards,

Masa / SAP Technology RIG

1

Thank you so much :).

0